<template>
  <Layout class="app-dashboard">
    <div class="menu-wrapper"
         v-if="!isLoading">
      <Menu mode="horizontal">
        <MenuItem name="releases"
                  to="/releases">Release Notes</MenuItem>
        <MenuItem name="search"
                  to="/search">Search</MenuItem>
        <MenuItem name="settings"
                  to="/settings"
                  v-if="isAdmin">Settings</MenuItem>
        <MenuItem name="datenschutz"
                  to="/datenschutz">Datenschutzerklärung</MenuItem>
        <MenuItem name="impressum"
                  to="/impressum">Impressum – Legal Disclosure</MenuItem>
        <MenuItem name="logout"
                  to="/logout">Logout</MenuItem>
      </Menu>
    </div>
    <Content class="container-wrapper">
      <router-view />
    </Content>
  </Layout>
</template>

<script>
import Guard from "@/router/routerGuard"

export default {
  name: "AppDashboard",
  data: () => ({
    isLoading: true,
    isAdmin: false
  }),
  methods: {},
  async mounted() {
    this.isLoading = true
    this.isAdmin = await Guard.checkAdmin()
    this.isLoading = false
  }
}
</script>

<style lang="scss" scoped>
.menu-wrapper {
  position: fixed;
  width: 100%;
  top: 0;
  right: 0;
  z-index: 1000;
}
.container-wrapper {
  margin: 60px auto;
  width: 100vw;
}
</style>
